Subject: Re: bug#2375: 23.0.90; ^ in gnus summary buffer does not work in the nextstep build

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Feb 2009 11:25:17 -0500

> What do you think about the dead-key behavior in the Carbon port
> (Emacs 22)?  If it is reasonable enough, maybe the Cocoa/GNUstep port
> can adopt its strategy.

Not knowing exactly how it's called, and not having the time to try and
understand all thedetails, I'm not sure I understand what are
the differences.  Could you try and explain what are the differences?
I see various "unimportant" details (such as the use of a display
property or an overlay in order to avoid directly modifying the actual
text), which might be good to integrate indeed, but what about the
overall behavior, is it different?  E.g. what happens (with your code)
when the user hits a dead-^ in a Gnus buffer?

I get the impression that it ends up behaving like the current ns-win.el
code (i.e. nothing is run after ^, but the Gnus command is called after
^+SPC), except that it displays a "^" in the Gnus buffer rather than
signalling an error.  Is that right?

        Stefan